/* File: KqmlSymbols.java
 * Contains: Interface that defines some useful constants
 * Author: Jeff Dalton <J.Dalton@ed.ac.uk>
 * Created: February 1998
 * Updated: Tue Apr 21 01:08:44 1998 by Jeff Dalton
 * Copyright: (c) 1998, AIAI, University of Edinburgh
 */

package ix.acp3;

import ix.util.lisp.*;


/** Symbols useful when reading Kqml log files and analysing messages. */

public interface KqmlSymbols {

    static final Symbol
        Q_AN           = Symbol.intern("?an"),
	K_CONTENT      = Symbol.intern(":content"),
	K_DELTA_T      = Symbol.intern(":delta-t"),
	S_EVALUATE     = Symbol.intern("evaluate"),
	K_INIT_PROBLEM = Symbol.intern(":init-problem"),
	S_PING         = Symbol.intern("ping"),
	Q_PLAN         = Symbol.intern("?plan"),
	S_REPLY        = Symbol.intern("reply"),
	PRS_REPLY      = Symbol.intern("prs::reply"),
	K_REPLY_WITH   = Symbol.intern(":reply-with"),
	K_SENDER       = Symbol.intern(":sender"),
	S_SENDING      = Symbol.intern("sending"),
	K_SENT_TO      = Symbol.intern(":sent-to"),
	Q_TASK         = Symbol.intern("?task"),
	S_TO           = Symbol.intern("to");

}
