/* File: ACP3.java
 * Contains: A class extended by ACP3 main-program classes
 * Author: Jeff Dalton <J.Dalton@ed.ac.uk>
 * Created: January 1998
 * Updated: Wed Jun 21 12:06:43 2000 by Jeff Dalton
 * Copyright: (c) 1998, 2000, AIAI, University of Edinburgh
 */


package ix.ip2;

import ix.Release;
import ix.util.*;


/**
 * A class extended by IP2 main-program classes. 
 */

// /\/: Need to straighten out which things are static and which aren't.

public class IP2 {

    /** The IP2 agent */

    public static IP2 agent = null;

    public static ProcessViewer viewer;
    public static ProcessModel model;
    // public static KqmlWatcher watcher;

    /** Create the IP2 agent.  Only one instance should be created. */

    protected IP2() {
	Debug.assert(agent == null);
    }

    /** shutdown performs any necessary cleanup before an exit. */

    protected void shutdown() {
	Debug.noteln("IP2 shutdown");
    }

    /** reset tries to set everything back to its initial state. */

    public void reset() {
    }

    /*
     * Static methods
     */

    /** 
     * A method to print the name of the system, the release version,
     * and the release date.
     */
    protected static void printGreeting(String name) {
	System.out.println(name
			   + ", version " + Release.version
			   + ", " + Release.date);
	System.out.println("");
    }

    /** 
     * IP2.exit should always be called instead of System.exit.
     */
    public static synchronized void exit(int status) {
	Debug.noteln("IP2.exit called, status:", status);
	if (agent != null) {
	    Debug.noteln("Calling IP2.agent.shutdown()");
	    agent.shutdown();
	}
	else
	    Debug.noteln("There is no IP2.agent yet.");
	Debug.noteln("Final exit");
	System.exit(status);
    }

    /**
     * Command-line argument processing.
     */
    protected static void processCommandLineArguments(String[] argv) {
	try {
	    Parameters.processCommandLineArguments(argv);

	    if (Parameters.haveParameter("fontsize"))
		DefaultFont.setDefaultFontSize(
		    Parameters.getInt("fontsize"));

	    Debug.on = Parameters.getBoolean("debug", true);
	}
	catch (Exception e) { Debug.noteException(e); }
    }

}
