/* File: WatcherListener.java
 * Contains: The definition of the WatcherListener interface
 * Author: Jeff Dalton <J.Dalton@ed.ac.uk>
 * Created: February 1998
 * Updated: Tue Jun 20 18:42:36 2000 by Jeff Dalton
 * Copyright: (c) 1998, 2000, AIAI, University of Edinburgh
 */

package ix.ip2;


/** 
 * The interface that objects must implement in order to receive information
 * from a watcher such as a KqmlWatcher.
 */

public interface WatcherListener {

    public void startAction(String action);

    public void finishAction(String action);

    public void startAction(String action, int coa);

    public void startAction(String action, int coa, int level);

    public void finishAction(String action, int coa);

    public void finishAction(String action, int coa, int level);

}
