/* Author: Jeff Dalton <J.Dalton@ed.ac.uk>
 * Updated: Thu Aug 31 18:23:17 2000 by Jeff Dalton
 * Copyright: (c) 1998, AIAI, University of Edinburgh
 */

package ix.test;

import java.util.*;

import ix.iplan.*;

import ix.util.*;
import ix.util.lisp.*;


class PlannerTest {

    public static void main(String[] argv) {

	try {

	    final Domain dom = new LTF_Parser(argv[0]).readDomain();
	    dom.analyseDomain();

	    new CommandLoop(new Function1() {
		public Object funcall(Object command) {
		    LList pattern =
			(LList)Lisp.readFromString((String)command);
		    LList result =
			dom.schemaTable.getMatchingSchemas(pattern);
		    return result.mapcar(new Function1() {
			public Object funcall(Object schema) {
			    return ((Schema)schema).toList();
			}
		    });
		}
	    }).run();

	}
	catch (Exception e) { Debug.noteException(e); }

    }

}
