/* File: Collector.java
 * Contains: An interface for Objects that can collect Objects and enum them.
 * Author: Jeff Dalton <J.Dalton@ed.ac.uk>
 * Created: March 1998
 * Updated: Fri Mar 27 21:07:19 1998 by Jeff Dalton
 * Copyright: (c) 1998, AIAI, University of Edinburgh
 */

package ix.util;

import java.util.Enumeration;

/**
 * A Collector can be given new elements and can return an Enumeration
 * of the elements it has been given so far.  However, the Enumeration
 * is not necessarily a snapshot.<p>
 *
 * The name "Collector" was chosen to avoid taking "Collection",
 * and hence to avoid conflicts with various collection packages.
 *
 * @see ix.util.Seq
 * @see ix.util.lisp.ListCollector
 */

public interface Collector {

    public void addElement(Object e);

    public Enumeration elements();

}
